ChartDirector Ver 5.0 (PHP Edition)

WebChartViewer.isStreamRequest

Usage

isStreamRequest()

Description

Checks if the current HTTP request is a stream update request sent using JsChartViewer.streamUpdate.
Note that the JsChartViewer does not need to have the same id as the WebChartViewer object. To get the id of the JsChartViewer object sending the request, use WebChartViewer.getSenderClientId.

Arguments

None

Return Value

True if the current HTTP request is stream update request sent using JsChartViewer.streamUpdate, otherwise false.

© 2009 Advanced Software Engineering Limited. All rights reserved.